Google Web Toolkit
Search Google Code:

# Interface SuggestionHandler

public interface SuggestionHandler
extends EventListener
Event handler interface for SuggestionEvent.

## Methods

onSuggestionSelected(SuggestionEvent) | Fired when a suggestion is selected.

## See Also

SuggestBox

## Method Detail

### onSuggestionSelected

public void onSuggestionSelected(SuggestionEvent event)
Fired when a suggestion is selected. Users can select a suggestion from the SuggestBox by clicking on one of the suggestions, or by pressing the ENTER key to select the suggestion that is currently highlighted.

#### Parameters

event
  the object containing information about this event